'use strict';

var Interface, extend;

Interface       = require('./Interface');
extend          = require('../utils/extend');

function Node (string, nodes) {

  this.getParent().apply(this, arguments);

  this
    .setType('Operator')
  ;

  return this;

}

extend(Interface, Node);

Node.fn = Node.prototype;

Node.fn.detect = function () {

  var previous;

  previous = this.getPrevious();

  if (previous.is("The Object's Property Name")) {

    return "The Object's Property Assignment Operator";

  }

  if (previous.is('The case Statement')) {

    return 'Case Definition Operator';

  }

  return 'The Simplified Condition Else Statement Operator';

};

Node.is = function (string, nodes) {

  return string === ':';

};

module.exports = Node;