'use strict';

var Interface, extend;

Interface       = require('./Interface');
extend          = require('../utils/extend');

function Node (string, nodes) {

  this.getParent().apply(this, arguments);

  this
    .setType('Number Literal')
  ;

  return this;

}

extend(Interface, Node);

Node.fn = Node.prototype;

Node.fn.detect = function () {

  return 'Float Number Literal';

};

Node.is = function (string, nodes) {

  return /^([0-9]+\.[0-9]+){1}$/.test(string);

};

module.exports = Node;