'use strict';

var Interface, extend;

Interface       = require('./Interface');
extend          = require('../utils/extend');

function Node (string, nodes) {

  this.getParent().apply(this, arguments);

  this
    .setType('Logical Operator')
    .setType('Operator')
    .setType('Unary Operator')
  ;

  return this;

}

extend(Interface, Node);

Node.fn = Node.prototype;

Node.fn.detect = function () {

  return 'Logical NOT Operator';

};

Node.is = function (string, nodes) {

  return string === '!';

};

module.exports = Node;