'use strict';

var Interface, extend;

Interface       = require('./Interface');
extend          = require('../utils/extend');

function Node (string, nodes) {

  this.getParent().apply(this, arguments);

  this
    .setType('Regular Expression')
  ;

  return this;

}

extend(Interface, Node);

Node.fn = Node.prototype;

Node.fn.detect = function () {

  return 'Regular Expression Literal';

};

Node.is = function (string, nodes) {

  return /^\/{1}.*[^\/]{3}\/{1}$/.test(string);

};

module.exports = Node;